Package org.eclipse.net4j.util.ui

## Class FactoryTypeContentProvider

- java.lang.Object
- - org.eclipse.jface.viewers.ViewerComparator
  - - org.eclipse.jface.viewers.ViewerSorter
    - - org.eclipse.net4j.util.ui.StructuredContentProvider<IManagedContainer>
      - - org.eclipse.net4j.util.ui.FactoryTypeContentProvider

- All Implemented Interfaces:
    `java.util.EventListener`, `IContentProvider`, `IStructuredContentProvider`, `IListener`

      public class FactoryTypeContentProvider
      extends StructuredContentProvider<IManagedContainer>

  A `structured content provider` that shows the `factory types` of the `input`.
  Since:
    3.2
  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.jface.viewers.ViewerSorter

      `collator`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FactoryTypeContentProvider​(java.lang.String productGroup)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `connectInput​(IManagedContainer input)` |
    `protected void` | `disconnectInput​(IManagedContainer input)` |
    `java.lang.Object[]` | `getElements​(java.lang.Object inputElement)` |
    `java.lang.String` | `getProductGroup()` |

    - ### Methods inherited from class org.eclipse.net4j.util.ui.StructuredContentProvider

      `dispose, expandElement, getBoldFont, getDisplay, getInput, getItalicFont, getViewer, inputChanged, notifyEvent, refreshElement, refreshSynced, refreshViewer, revealElement, selectElement, updateLabels`

    - ### Methods inherited from class org.eclipse.jface.viewers.ViewerSorter

      `getCollator`

    - ### Methods inherited from class org.eclipse.jface.viewers.ViewerComparator

      `category, compare, getComparator, isSorterProperty, sort`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FactoryTypeContentProvider

          public FactoryTypeContentProvider​(java.lang.String productGroup)

  - ### Method Detail

    - #### getProductGroup

          public java.lang.String getProductGroup()

    - #### getElements

          public java.lang.Object[] getElements​(java.lang.Object inputElement)

    - #### connectInput

          protected void connectInput​(IManagedContainer input)

      Overrides:
        `connectInput` in class `StructuredContentProvider<IManagedContainer>`

    - #### disconnectInput

          protected void disconnectInput​(IManagedContainer input)

      Overrides:
        `disconnectInput` in class `StructuredContentProvider<IManagedContainer>`